reset
set terminal wxt dashed enhanced font 'Times New Roman,20'

set palette rgb 21,22,23 negative # colormap setting



# left figure(1) position
lx1=0.10; ly1=0.3
rx1=0.45; ry1=0.65

# right figure(2) position
lx2=0.55; ly2=ly1
rx2=0.90; ry2=ry1

if(@ARG1 == 1){
  set terminal postscript eps size 5,5 dashed enhanced color font 'Roman,20'
  set output "PRA102_033316_Fig3.eps"
}


set multiplot 
set lmargin screen lx1
set tmargin screen ly1
set rmargin screen rx1
set bmargin screen ry1
set pm3d map
unset label

set format x "%g"
set xl "{/Roman-Italic p_x}(a.u.)" offset 0,0.8
set xr[-15:15]
set xtics 5 mirror out offset 0,0.8
set mxtics 1
set format y "%g"
set yl "{/Roman-Italic p_y}(a.u.)" offset 0.8,0
set yr[-15:15]
set ytics 5 mirror out offset 0.8,0
set mytics 1

set cbtics 0.5
set cbr[-2:0]
unset colorbox

set label tc rgb "black" at graph 0.02, graph 0.95 front "(a)"

splot "KERphi.d" u (5*sqrt(2*$2)*cos($1*pi)):(5*sqrt(2*$2)*sin($1*pi)):(10*$2 < 1 ? 1/0: 2*$3 ) notitle


#-----------------------------

set lmargin screen lx2
set tmargin screen ly2
set rmargin screen rx2
set bmargin screen ry2

set xl "{/Italic {/Symbol f}} (units of {/Symbol p})" offset 0,0.8
set xr[0:2]
set format x "%2.1f"
set xtics 0.5 mirror out offset 0,0.8
set mxtics 1
set format x "%g"
set yl "KER (eV)" offset 0,0.8
set yr[0:3]
set ytics 1 mirror out offset 0.8,0
set mytics 1

unset key

set cbtics 0.5 scale 0 # scale 0, to delete tics line in colorbox
set cbr[-2:0]
set colorbox user origin 0.91,0.35 size 0.02,0.25 border # change size of colorbox
unset label

set label tc rgb "black" at graph 0.02,graph 0.95 front "(b)"
splot "KERphi.d" u 1:2:($3*2) with pm3d,\
      "l1.d" u 1:2:($1>0.5 ? 1/0 : 0) w l lw 5 lc rgb "black" dashtype 2,\
      "l2.d" u 1:2:($1>1.1 ? 1/0 : 0) w l lw 5 lc rgb "black" dashtype 2,\
      "l3.d" u 1:2:($1>1.8 ? 1/0 : 0) w l lw 5 lc rgb "black" dashtype 2

      
unset multi

if(@ARG1 == 1){
  set out
  set terminal wxt enhanced
}












